#include <iostream>

#include <serial_bridge_index.hpp>

using namespace serial_bridge;

int main(int argc, char **argv) {
  if (argc != 2) {
    std::cerr << "Usage: " << argv[0] << '\n';
    return 1;
  }

  const std::string address{argv[1]};
  const auto result = decode_address(address);
  std::cout << result << '\n';
  return 0;
}
